다운로드

컴파일된 CSS와 JavaScript, 소스 코드를 다운로드하거나, npm, RubyGems, 그 외 여러가지 당신이 선호하는 패키지 관리자를 통해서 포함하세요.

컴파일된 CSS와 JS

Bootstrap v4.3.1을 즉시 사용할 수 있는 컴파일된 코드를 다운로드하여 프로젝트에 쉽게 추가해주세오:

  • 컴파일 및 압축된 CSS 번들 (CSS 파일 비교 보기)
  • 컴파일 및 압축된 JavaScript 플러그인

이는 문서, 소스 파일, 그리고 선택적인 JavaScript 의존 (jQuery와 Popper.js)을 포함하지 않습니다.

다운로드

소스 파일

Compile Bootstrap with your own asset pipeline by downloading our source Sass, JavaScript, and documentation files. This option requires some additional tooling:

  • CSS를 컴파일하기 위한 Sass 컴파일러 (Libsass 또는 Ruby Sass를 지원함).
  • Autoprefixer for CSS vendor prefixing

Should you require build tools, they are included for developing Bootstrap and its docs, but they’re likely unsuitable for your own purposes.

소스 다운로드

BootstrapCDN

Skip the download with BootstrapCDN to deliver cached version of Bootstrap’s compiled CSS and JS to your project.

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

If you’re using our compiled JavaScript, don’t forget to include CDN versions of jQuery and Popper.js before it.

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>

cdnjs

대한민국에서는 cdnjs의 속도가 BootstrapCDN보다 약 10배 정도 빠릅니다.

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>

컴파일된 JavaScript를 사용하고 계시다면, CDN 버전 jQuery와 Popper.js를 먼저 넣는 것을 잊지 마세요.

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.15.0/umd/popper.min.js"></script>

패키지 관리자

Pull in Bootstrap’s source files into nearly any project with some of the most popular package managers. No matter the package manager, Bootstrap will require a Sass compiler and Autoprefixer for a setup that matches our official compiled versions.

npm

Install Bootstrap in your Node.js powered apps with the npm package:

npm install bootstrap

require('bootstrap') will load all of Bootstrap’s jQuery plugins onto the jQuery object. The bootstrap module itself does not export anything. You can manually load Bootstrap’s jQuery plugins individually by loading the /js/*.js files under the package’s top-level directory.

Bootstrap’s package.json contains some additional metadata under the following keys:

  • sass - path to Bootstrap’s main Sass source file
  • style - path to Bootstrap’s non-minified CSS that’s been precompiled using the default settings (no customization)

yarn

Install Bootstrap in your Node.js powered apps with the yarn package:

yarn add bootstrap

RubyGems

Install Bootstrap in your Ruby apps using Bundler (recommended) and RubyGems by adding the following line to your Gemfile:

gem 'bootstrap', '~> 4.3.1'

Alternatively, if you’re not using Bundler, you can install the gem by running this command:

gem install bootstrap -v 4.3.1

See the gem’s README for further details.

Composer

You can also install and manage Bootstrap’s Sass and JavaScript using Composer:

composer require twbs/bootstrap:4.3.1

NuGet

If you develop in .NET, you can also install and manage Bootstrap’s CSS or Sass and JavaScript using NuGet:

Install-Package bootstrap
Install-Package bootstrap.sass